iterS2_matlab
Applications » Iterative reconstruction on the sphere S2
Collaboration diagram for iterS2_matlab:

## Enumerations

enum | boolean { NO = 0 , YES = 1 }
| Enumeration for parameter values. More...

## Functions

static void | voronoi_weights_S2 (R *w, R *xi, INT M)
int | main (int argc, char **argv)
| The main program.

## Detailed Description

## Enumeration Type Documentation

## boolean

enum boolean

Enumeration for parameter values.

Definition at line 169 of file iterS2.c.

## Function Documentation

## voronoi_weights_S2()

void voronoi_weights_S2 | ( | R * | w,
|  | R * | xi,
|  | INT | M )

static

Definition at line 43 of file iterS2.c.

## main()

int main | ( | int | argc,
|  | char ** | argv )

The main program.

Parameters

  argc | The number of arguments
  argv | An array containing the arguments as C-strings

Returns
  Exit code

Author
  Jens Keiner

Definition at line 181 of file iterS2.c.

References CGNE, CGNR, CSWAP, solver_plan_complex::dot_r_iter, nfsft_plan::f, nfsft_plan::f_hat, solver_plan_complex::f_hat_iter, FFT_OUT_OF_PLACE, FFTW_INIT, fpt_init(), fpt_precompute(), nfsft_plan::M_total, nfsft_plan::N_total, nfft_free(), nfft_malloc(), nfsft_finalize(), nfsft_forget(), NFSFT_INDEX, NFSFT_MALLOC_F, NFSFT_MALLOC_F_HAT, NFSFT_MALLOC_X, NFSFT_NO_FAST_ALGORITHM, NFSFT_NORMALIZED, nfsft_precompute(), nfsft_trafo(), NFSFT_USE_DPT, NFSFT_USE_NDFT, NFSFT_ZERO_F_HAT, PRE_PHI_HUT, PRE_PSI, PRECOMPUTE_DAMP, PRECOMPUTE_WEIGHT, solver_plan_complex::w, solver_plan_complex::w_hat, X, nfsft_plan::x, and solver_plan_complex::y.